CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Intermediate:
SOAP-Lite SSL not working on red hat server

 



spuds
Novice

Aug 5, 2011, 9:33 AM

Post #1 of 1 (1798 views)
SOAP-Lite SSL not working on red hat server Can't Post

Hi,

I am having a problem getting SOAP-Lite 0.67 (yes, older version) to handle SSL traffic on a red hat server (version 5.4).

Here are the relevant (error) parts of the SOAP message:


Code
SOAP::Transport::HTTP::Client::send_receive: 501 Protocol scheme 'https' is not supported (Crypt::SSLeay not installed) 
Content-Type: text/plain
Client-Date: Thu, 04 Aug 2011 19:38:56 GMT
Client-Warning: Internal response

LWP will support https URLs if the Crypt::SSLeay module is installed.
More information at <http://www.linpro.no/lwp/libwww-perl/README.SSL>.

...

SOAP::Transport::HTTP::Client::send_receive: 500 Can't locate object method "new" via package "LWP::Protocol::https::Socket"
Content-Type: text/plain
Client-Date: Thu, 04 Aug 2011 19:38:56 GMT
Client-Warning: Internal response

500 Can't locate object method "new" via package "LWP::Protocol::https::Socket"


Here is a listing of what perl is currently installed:

Installed Packages
HPOvPerlA.x86_64 5.08.087-1 installed
openssl-perl.x86_64 0.9.8e-20.el5 installed
perl.x86_64 4:5.8.8-32.el5_6.3 installed
perl-Compress-Zlib.x86_64 1.42-1.fc6 installed
perl-DBD-MySQL.x86_64 3.0007-2.el5 installed
perl-DBI.x86_64 1.52-2.el5 installed
perl-HTML-Parser.x86_64 3.55-1.fc6 installed
perl-HTML-Tagset.noarch 3.10-2.1.1 installed
perl-IO-Socket-SSL.noarch 1.01-1.fc6 installed
perl-Net-SSLeay.x86_64 1.30-4.fc6 installed
perl-String-CRC32.x86_64 1.4-2.fc6 installed
perl-URI.noarch

I don't have Crypt::SSLeay installed because the vendor software I am trying to connect to says I need the perl-IO-Socket-SSL (which includes the perl-Net-SSLeay) and I keep reading that that takes the place of Crypt::SSLeay.

I have tested with the Crypt::SSLeay package installed too but get the same errors as above.

I am going to turn on SOAP debugging to see if I can find out other details of what is mis-configured here.

Does anyone know or have some other ideas on how to fix/troubleshoot this problem? SSL is required and looks like the only part of SOAP-Lite that isn't working.

Thank you!

- Spuds


In Reply To
Alright, I added the Crypto::SSLeay package back in...


Installed Packages
...
perl-Crypt-SSLeay.x86_64 0.51-11.el5 installed

Also turned on the SOAP debugger and still getting ...


Code
05-Aug-2011 15:25:47 	SOAP::Transport::HTTP::Client::send_receive: 501 Protocol scheme 'https' is not supported (Crypt::SSLeay not installed) 
...
05-Aug-2011 15:25:47 Client-Date: Fri, 05 Aug 2011 19:25:47 GMT
05-Aug-2011 15:25:47 Client-Warning: Internal response
05-Aug-2011 15:25:47
05-Aug-2011 15:25:47 500 Can't locate object method "new" via package "LWP::Protocol::https::Socket"


Any suggestions?

Thank you.

- Spuds


(This post was edited by spuds on Aug 5, 2011, 12:38 PM)

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives